%define  patch_name kernel-fix-core

Name: %patch_name
Version: 2004.05.09
Release: alt1
Summary: %patch_name kernel patch - fixes to core of Linux kernel
License: GPL
Group: Development/Other
BuildArch: noarch
Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>
BuildPreReq: kernel-build-tools

# kernel 2.4 patches
%source  1	2.4_01_core-dmi-black-list-rh.patch		  	2.4
%source  4	2.4_04_dcache-switch_names.patch		  	2.4
%source  5	2.4_05_apic_quiet.patch					2.4
%source  6	2.4_06_drivers-parport-parport_cs-core-fix.patch	2.4
%source  7	2.4_07_fs-intermezzo-dir-core-fix.patch			2.4
%source  8	2.4_08_net-bluetooth-bnep-core-core-fix.patch		2.4
%source 34	2.4_34_mptable-bogus-panic.patch			2.4
%source 25	2.4_35_free-pages-in-irq.patch				2.4

# 2.6 patches
%source 50	2.6_50_2.6.0-move_security_syslog_to_sys_syslog.patch	2.6

# common patches
%source 90	90_alt-init.patch

%description
This package contains patches with fixes to core of Linux kernel.


%install
%install_patches


%files
%_usrsrc/*

%changelog
* Sun May 09 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.05.09-alt1
- Updated for kernel 2.4.26.
- Removed obsolete patches:
  - 2.4_35_vmalloc-error.patch
  - 2.4_36_mremap-oops-fix.patch
- Added:
  + 2.4_35_free-pages-in-irq.patch: fix page-free-at-IRQ context BUG (should
    fix the __free_pages() distcc oopses)

* Sun Mar 21 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.03.21-alt1
- Added:
  + 2.4_35_vmalloc-error.patch: fix vmalloc() error handling
  + 2.4_36_mremap-oops-fix.patch: mremap NULL pointer dereference fix

* Mon Feb 23 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.02.23-alt1
- Updated for 2.4.25.
- Updated patches:
  - 2.4_01_core-dmi-black-list-rh.patch
- Removed obsolete patches (merged upstream):
  - 2.4_09_copy_namespace-fix.patch
  - 2.4_10_do_mounts-fix.patch
  - 2.4_11_attach_mnt-fix.patch
  - 2.4_12_console-switch-after-panic.patch
  - 2.4_13_panic-disable-blank.patch
  - 2.4_14_lapic-update-1.patch
  - 2.4_15_lapic-update-2.patch
  - 2.4_16_lapic-update-3.patch
  - 2.4_17_io-apic-avoid-smi.patch
  - 2.4_18_smp-irq-handling-race.patch
  - 2.4_19_ipc-init-order-fix.patch
  - 2.4_20_mm-checks-precedence-fix.patch
  - 2.4_21_unshare-init-files.patch
  - 2.4_22_panic-compile-fix.patch
  - 2.4_23_user-processes-acct-fix.patch
  - 2.4_25_smp-default-init-fix.patch
  - 2.4_26_mpparse-printk-fix.patch
  - 2.4_27_centrino-cache-size.patch
  - 2.4_29_init-argv0.patch
  - 2.4_30_PageReserved-count.patch
  - 2.4_31_page-flags-race.patch
  - 2.4_32_exec_usermodehelper-clear-all.patch
  - 2.4_33_mmap-noexec.patch

* Mon Feb 09 2004 Anton Farygin <rider@altlinux.ru> 2004.02.09-alt1
- 2.6 patches added

* Tue Dec 30 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.12.30-alt1
- Added:
  + 34_mptable-bogus-panic.patch: remove panic calls from MP table parsing code
    (MP table errors are not fatal, and the panic this early in the boot
    process is not visible).

* Mon Dec 15 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.12.15-alt1
- Added:
  + 33_mmap-noexec.patch: do not allow mmap with PROT_EXEC if the filesystem
    was mounted with 'noexec'.

* Sun Nov 09 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.11.09-alt1
- Added:
  + 90_alt-init.patch - fixed init program names (/sbin/init, /sbin/sash,
    /bin/sh), print init program name before attempting to start it.

* Thu Nov 06 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.11.06-alt1
- Added:
  + 12_console-switch-after-panic.patch
  + 13_panic-disable-blank.patch
  + 14_lapic-update-1.patch
  + 15_lapic-update-2.patch
  + 16_lapic-update-3.patch
  + 17_io-apic-avoid-smi.patch
  + 18_smp-irq-handling-race.patch
  + 19_ipc-init-order-fix.patch
  + 20_mm-checks-precedence-fix.patch
  + 21_unshare-init-files.patch
  + 22_panic-compile-fix.patch
  + 23_user-processes-acct-fix.patch
  + 25_smp-default-init-fix.patch
  + 26_mpparse-printk-fix.patch
  + 27_centrino-cache-size.patch
  + 29_init-argv0.patch
  + 30_PageReserved-count.patch
  + 31_page-flags-race.patch
  + 32_exec_usermodehelper-clear-all.patch

* Sun Oct 26 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.10.26-alt1
- Renamed patch files (added numeric prefixes).
- Added 09_copy_namespace-fix.patch: Fix far too small kmalloc in
  copy_namespace and promote errors properly.
- Added 10_do_mounts-fix.patch: Fix initrd with netboot (really not only with
  netboot - romfs initrd with builtin ext2 had the same problem).
- Added 11_attach_mnt-fix.patch: attach_mnt() fix to make copy_namespace() work
  correctly.

* Wed Sep 10 2003 Rider <rider@altlinux.ru> 2003.09.02-alt2
- fix for bug #2963 (Lost directory into %_usrsrc)

* Tue Sep 02 2003 Rider <rider@altlinux.ru> 2003.09.02-alt1
- removed included to mainstream patches
- added build requires

* Fri Aug 15 2003 Peter Novodvorsky <nidd@altlinux.com> 2003.08.15-alt1
- added 05_apic_quiet.patch.

* Mon Aug 11 2003 Peter Novodvorsky <nidd@altlinux.com> 2003.08.11-alt1
- moved 05_i855-agp-patches.patch to fix-drivers-char.

* Fri Aug  8 2003 Peter Novodvorsky <nidd@altlinux.com> 2003.08.06-alt1
- added 05_i855-agp-patches.patch, adds 3d support in i855 boards.
- added dots in changelog.

* Wed Aug 06 2003 Peter Novodvorsky <nidd@altlinux.com> 2003.08.06-alt1
- moved spec to install_patches format.
- added 04_dcache-switch_names.patch, that fixes start-stop-daemon.

* Mon Jul 29 2003 Ed V. Bartosh <ed@altlinux.ru> 2003.07.29-alt1
- fixed 'lost interrupt' IO-APIC bug (03_io-apic-resend-irq.patch).

* Sun Jun 15 2003 Peter Novodvorsky <nidd@altlinux.com> 2003.06.11-alt2
- updated to 2.4.21 release.

* Wed Jun 11 2003 Peter Novodvorsky <nidd@altlinux.com> 2003.06.11-alt1
- added new patches for rc7 to build.

* Thu May 22 2003 Peter Novodvorsky <nidd@altlinux.com> 2003.04.23-alt1
- update dmi blacklist.

* Fri Apr 18 2003 Peter Novodvorsky <nidd@altlinux.com> 2003.04.18-alt1
- new package.

* Sat Apr 12 2003 Peter Novodvorsky <nidd@altlinux.com> 1.0-alt3
- apply patch in cycle so it doesn't run cat|patch if no PATCH_FILES 
  defined. (thanks to ed)

* Mon Mar 31 2003 Peter Novodvorsky <nidd@altlinux.com> 1.0-alt2
- fixed apply script

* Wed Feb 12 2003 Peter Novodvorsky <nidd@myxomop.com> 1.0-alt1
- ptrace security hole patch included

